<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no"
    />

    <title>RDM | BIWG</title>

    <link rel="stylesheet" href="dist/reset.css" />
    <link rel="stylesheet" href="dist/reveal.css" />
    <link rel="stylesheet" href="dist/theme/white.css" />

    <!-- Theme used for syntax highlighted code -->
    <link rel="stylesheet" href="plugin/highlight/monokai.css" />
  </head>
  <body>
    <div class="reveal">
      <div class="slides">
        <section>
          <h1>RDM | BIWG</h1>
          <p>checkpoint</p>
        </section>

        <section>
          <h2>Outline</h2>
          <ol>
            <li>The release owner</li>
            <li>The release record</li>
            <li>Release strategies</li>
          </ol>
        </section>

        <section>
          <section>
            <h2>The release owner</h2>
            <p style="font-style: italic; color: gray">
              The guardian of the release
            </p>
            <a
              href="https://sphn-dcc.atlassian.net/wiki/spaces/SMS3/pages/105742337/Role+Generic+Release+Owner"
              target="_blank"
              >👉 Source</a
            >
          </section>
          <section>
            <h3>Who?</h3>
            <ul>
              <li>A member of BIWG</li>
              <li>A member of the DCC</li>
              <li>Not necessarily the deploy sheriff</li>
            </ul>
          </section>
          <section>
            <h3>What?</h3>
            <ul>
              <li>Identify the correct strategy</li>
              <li>Control, coordinate, document</li>
              <li>Act as single point of contact</li>
            </ul>
          </section>
          <section>
            <h3>Why?</h3>
            <ul>
              <li>Accountability</li>
              <li>Coordination</li>
            </ul>
          </section>
        </section>

        <section>
          <section>
            <h2>The release record</h2>
            <p style="font-style: italic; color: gray">
              The footprint of the release
            </p>
            <a
              href="https://sphn-dcc.atlassian.net/wiki/spaces/SMS3/pages/105545975/Release+plan+templates"
              target="_blank"
              >👉 Source</a
            >
          </section>
          <section>
            <h3>What?</h3>
            <table>
              <tr>
                <td>Metadata</td>
                <td>Type of release, date planned, content, etc.</td>
              </tr>
              <tr>
                <td>Plan</td>
                <td>Approval, communication, technical coordination, etc.</td>
              </tr>
              <tr>
                <td>Retrospective</td>
                <td>
                  Was the release correctly authorized, deployed, communicated,
                  etc.? What lessons can be learned?
                </td>
              </tr>
            </table>
          </section>
          <section>
            <h3>Why?</h3>
            <ul>
              <li>Traceability</li>
              <li>Coordination</li>
            </ul>
          </section>
          <section>
            <h3>Where?</h3>
            <ul>
              <li>Confluence</li>
              <li>GitLab, but this is NOT a GitLab release</li>
              <li>🕌 The great library of Alexandria</li>
            </ul>
          </section>
        </section>

        <section>
          <section>
            <h2>Release strategies</h2>
            <p style="font-style: italic; color: grey">
              Low-impact, High-impact, Urgent
            </p>
            <a
              href="https://sphn-dcc.atlassian.net/wiki/spaces/SMS3/pages/27100613/RDM+Release+and+Deployment+strategies"
              target="_blank"
              >👉 Source</a
            >
          </section>
          <section>
            <h3>What will not change?</h3>
            <ul>
              <li>Technical tools</li>
              <li>Communication tools</li>
              <li>Established roles and responsibilities</li>
            </ul>
          </section>

          <section>
            <h3>Low impact release</h3>
            <ul>
              <li>Self-triggered and self-approved</li>
              <li>No side effects</li>
              <li>Planned, but not thoroughly</li>
              <li style="color: turquoise">Shouldn't cause downtime</li>
              <li style="color: turquoise">Generates a release record</li>
            </ul>
          </section>
          <section>
            <h3>High impact release</h3>
            <ul>
              <li>Approval comes from outside of BIWG</li>
              <li style="color: turquoise">Thoroughly planned</li>
              <li style="color: turquoise">Shouldn't cause downtime</li>
              <li style="color: turquoise">Generates a release record</li>
            </ul>
          </section>
          <section>
            <h3>Urgent release</h3>
            <ul>
              <li>Triggered by an emergency</li>
              <li>Can cause a downtime</li>
              <li style="color: turquoise">Generates a release record</li>
              <li style="color: turquoise">Endorsed by a relevant authority</li>
              <li style="color: turquoise">
                May require post-deployment side effects
              </li>
              <li style="color: turquoise">Requires retrospective</li>
            </ul>
          </section>
        </section>
        <section>🤔</section>
      </div>
    </div>

    <script src="dist/reveal.js"></script>
    <script src="plugin/notes/notes.js"></script>
    <script src="plugin/markdown/markdown.js"></script>
    <script src="plugin/highlight/highlight.js"></script>
    <script>
      // More info about initialization & config:
      // - https://revealjs.com/initialization/
      // - https://revealjs.com/config/
      Reveal.initialize({
        hash: true,

        // Learn about plugins: https://revealjs.com/plugins/
        plugins: [RevealMarkdown, RevealHighlight, RevealNotes],
      });
    </script>
  </body>
</html>
